Package htsjdk.beta.codecs.reads.cram.cramV3_0

# Class CRAMDecoderV3_0

java.lang.Object
htsjdk.beta.codecs.reads.cram.CRAMDecoder
htsjdk.beta.codecs.reads.cram.cramV3_0.CRAMDecoderV3_0

All Implemented Interfaces:
  `HtsDecoder<SAMFileHeader,SAMRecord>`, `HtsQuery<SAMRecord>`, `ReadsDecoder`, `ReadsQuery<SAMRecord>`, `Closeable`, `AutoCloseable`, `Iterable<SAMRecord>`

public class CRAMDecoderV3_0 extends CRAMDecoder
CRAM v3.0 decoder.

## Constructor Summary

Constructors
Constructor
Description
`CRAMDecoderV3_0(Bundle bundle, ReadsDecoderOptions readsDecoderOptions)`
Create a new CRAM V3.0 decoder.

## Method Summary

Modifier and Type
Method
Description
`HtsVersion`
`getVersion()`
Get the version of the file format supported by this decoder.

### Methods inherited from class htsjdk.beta.codecs.reads.cram.CRAMDecoder

`close, getCRAMReferenceSource, getDisplayName, getFileFormat, getHeader, getInputBundle, getReadsDecoderOptions, hasIndex, isQueryable, iterator, query, queryMate, queryStart, queryUnmapped`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface htsjdk.beta.plugin.interval.HtsQuery

`query, query, query, queryContained, queryContained, queryContained, queryOverlapping, queryOverlapping, queryOverlapping`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### CRAMDecoderV3_0

public CRAMDecoderV3_0(Bundle bundle, ReadsDecoderOptions readsDecoderOptions)
Create a new CRAM V3.0 decoder. The primary resource in the input bundle must have content type `BundleResourceType.CT_ALIGNED_READS` (to find a decoder for a bundle, see `ReadsResolver`).

Parameters:
  `bundle` - input `Bundle` to decode
  `readsDecoderOptions` - `ReadsDecoderOptions` to use

## Method Details

### getVersion

public HtsVersion getVersion()
Description copied from interface: `HtsDecoder`
Get the version of the file format supported by this decoder.